function Example(classifier)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This is an example to show you how to access the SBELM toolbox. 
% The file of training data set: the first column is labels numerically ranging from
% 1 to number of categories. Other columns are attributes.
% pls refer to the dataset file Iris.tr in folder Data, which can be opened with notebook txt.  
% users might first begin with [...]=Sbelm_train_cv(...) to find parameters using the implemented cross validation operation 
% or just directly call [...]=Sbelm_classify(...) to train sbelm model.
% then with [...]=Sbelm_predict(...) to predict the accuracy for test data points.
% The dataset in file should be organized as [label, attribute1, atrribute2,..., attributeM ];
% we recommand to use the numerical labels of categories in ascending order as  [1,2,3...C]  
data_file={'./Data/Iris.tr'};
n_folds = 5;
lowerHiddenNums=20;
step=20;
upperHiddenNums=100;
lowerSeed=1;
upperSeed=5;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%unsolved problem: 
if nargin<1
    classifier='SBELM';
end
Activation = 'sigmoid';
k=1;
while k<=1
  fprintf('%s\n', data_file{k}); 
  data = load(data_file{k});
  [TN,TM]=size(data);
  data(:, 2:TM)=PreProcessData(data(:, 2:TM));  %scale the data set to [-1,1]  
  rand('seed',1);
  rndOnes =  (rand(1,TN)>=0.5)'; %generate 0,1,1,0,1,..  
  train_data=data(rndOnes,:);% 
  test_data=data(~(rndOnes),:); 
 % start = cputime;
  [cvAccu, Accu_std,properHiddenNeuronsNum,ActiveNodes,bestSeed,label,number_class]=Sbelm_train_cv(train_data, n_folds, lowerHiddenNums, step,upperHiddenNums,lowerSeed,upperSeed,Activation,classifier);
  fprintf('Trained: %.2f,  %.2f,  %d,  %.f,  %d\n',cvAccu, Accu_std,properHiddenNeuronsNum,ActiveNodes,bestSeed);
  [Model,ActiveNodes] = Sbelm_Classify(train_data(:,2:TM), train_data(:,1), label, number_class, properHiddenNeuronsNum,Activation,bestSeed);      
%   multiclass probability estimated by pairwise coupling
   [Prob,TestingAccu,execute_time]=Sbelm_Predict(test_data(:,2:TM),test_data(:,1), label, Model,number_class,classifier);  
   fprintf('predicted: %.2f, %.2f\n',TestingAccu,ActiveNodes); 
  k=k+1;

end